| FoxitPDFSDKforWeb v11.0.6 Archives Foxit PDF SDK for Web

Public Attributes | List of all members
ExecuteActionOptions Interface Reference
PDFViewCtrl » actions

Defines the options required for executing a PDF action in the viewer. More...

## Public Attributes
ExecuteActionData | data
| Specifies the action data to be executed. The actual action content to be performed, excluding JavaScript actions, which are always executed within the SDK context. More...
PDFDoc | doc
| The document where the action will be executed. Refers to the PDF document containing the action. More...
PDFObjectQuery | ownerQuery
| Indicates the owner of the action. This is a query object used to identify the owner of the action, such as a specific annotation or form field within the PDF. More...
PDFViewer | pdfViewer
| The viewer instance where the action will be executed. More...
ActionTriggerEvents | trigger
| Specifies the event that triggers the action. This defines which event will cause the associated action to execute. More...

## Detailed Description

Defines the options required for executing a PDF action in the viewer.

Since
  11.0.0

## Member Data Documentation

## ◆ data

ExecuteActionData ExecuteActionOptions::data

Specifies the action data to be executed. The actual action content to be performed, excluding JavaScript actions, which are always executed within the SDK context.

Note
  JavaScript actions will never be of the `ActionType.JavaScript` type.

Since
  11.0.0

## ◆ doc

PDFDoc ExecuteActionOptions::doc

The document where the action will be executed. Refers to the PDF document containing the action.

Since
  11.0.0

## ◆ ownerQuery

PDFObjectQuery ExecuteActionOptions::ownerQuery

Indicates the owner of the action. This is a query object used to identify the owner of the action, such as a specific annotation or form field within the PDF.

Since
  11.0.0

## ◆ pdfViewer

PDFViewer ExecuteActionOptions::pdfViewer

The viewer instance where the action will be executed.

Since
  11.0.0

## ◆ trigger

ActionTriggerEvents ExecuteActionOptions::trigger

Specifies the event that triggers the action. This defines which event will cause the associated action to execute.

Since
  11.0.0

@2025 Foxit Software Incorporated. All rights reserved.